# Class GenericNamingResourcesFactory

java.lang.Object
org.apache.tomcat.jdbc.naming.GenericNamingResourcesFactory

All Implemented Interfaces:
  `ObjectFactory`

public class GenericNamingResourcesFactory extends Object implements ObjectFactory
Simple way of configuring generic resources by using reflection. Example usage:

     <Resource factory="org.apache.tomcat.jdbc.naming.GenericNamingResourcesFactory"
                  name="jdbc/test"
                  type="org.apache.derby.jdbc.ClientXADataSource"
                  databaseName="sample"
                  createDatabase="create"
                  serverName="localhost"
                  port="1527"/>

## Constructor Summary

Constructors
Constructor
Description
`GenericNamingResourcesFactory()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`capitalize(String name)`
`Object`
`getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericNamingResourcesFactory

public GenericNamingResourcesFactory()

## Method Details

### getObjectInstance

public Object getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment) throws Exception

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Throws:
  `Exception`

### capitalize

public static String capitalize(String name)